Bug 37155 - Blanks in field date of birth confuse import
Blanks in field date of birth confuse import
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - CSV Import
UCS@school 3.2 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.0 Errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on: 37027
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-03 09:48 CET by Sönke Schwardt-Krummrich
Modified: 2015-02-27 15:19 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
patch (698 bytes, patch)
2015-02-06 16:24 CET, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-12-03 09:48:41 CET
This should also be fixed for UCS@school 4.0

+++ This bug was initially created as a clone of Bug #37027 +++

A customer reported that heading and trailing blanks in field date of birth confuse the CSV import in a way that it doesn't recognized the date anymore.  Everything looks fine when assigning columns but it breaks when the data is checked.

The attached file demonstrates the issue.
Comment 1 Florian Best univentionstaff 2015-02-06 16:24:38 CET
Created attachment 6653 [details]
patch
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-02-11 16:12:03 CET
Used the suggested patch. Found another similar misbehaviour that has been split off into bug 37776.

r57979 | Bug #37155: drop leading/trailing whitespaces from CSV cells to prevent simple syntax errors
r57981 | Bug #37155: bumped version

ucs-school-umc-csv-import (2.0.3-1) unstable; urgency=low

Package has been rebuilt in scope ucs-school-4.0.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2015-02-12 17:44:45 CET
Changelog entry has been added
Comment 4 Florian Best univentionstaff 2015-02-20 15:37:12 CET
:D QAing my own patch... Verified...

Changelog: OK
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2015-02-27 15:19:41 CET
UCS@school 4.0 v2 has been released:
http://docs.univention.de/release-notes-ucsschool-4.0v2-de.html

If this error occurs again, please use "Clone This Bug".